io.etcd.jetcd.api

## Class WatchGrpc.WatchFutureStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractFutureStub<WatchGrpc.WatchFutureStub>
    - - io.etcd.jetcd.api.WatchGrpc.WatchFutureStub

Enclosing class:
  WatchGrpc

    public static final class WatchGrpc.WatchFutureStub
    extends io.grpc.stub.AbstractFutureStub<WatchGrpc.WatchFutureStub>

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected WatchGrpc.WatchFutureStub` `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`

### Methods inherited from class io.grpc.stub.AbstractFutureStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected WatchGrpc.WatchFutureStub build(io.grpc.Channel channel,
                                              io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<WatchGrpc.WatchFutureStub>`